
Name:           python-cryptography
Version:        1.0.2
Release:        %mkrel 1
Summary:        PyCA's cryptography library

Group:          Development/Python
License:        ASL 2.0 or BSD
URL:            https://cryptography.io/en/latest/
Source0:        https://pypi.python.org/packages/source/c/cryptography/cryptography-%{version}.tar.gz

BuildRequires:  openssl-devel
BuildRequires:  python-enum34
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-cffi >= 0.8
BuildRequires:  python-six
BuildRequires:  python-cryptography-vectors = %{version}
BuildRequires:  python-pyasn1
BuildRequires:  python-iso8601
BuildRequires:  python-pretend
BuildRequires:  python-pytest
BuildRequires:  pkgconfig(libffi)

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-cffi >= 0.8
BuildRequires:  python3-six
BuildRequires:  python3-cryptography-vectors = %{version}
BuildRequires:  python3-pyasn1
BuildRequires:  python3-iso8601
BuildRequires:  python3-pretend
BuildRequires:  python3-pytest


Requires:       openssl
Requires:       python-enum34
Requires:       python-cffi >= 0.8
Requires:       python-six >= 1.6.1

%description
cryptography is a package designed to expose cryptographic primitives and
recipes to Python developers.


%package -n  python3-cryptography
Group:          Development/Python
Summary:        PyCA's cryptography library

Requires:       openssl
Requires:       python3-cffi >= 0.8
Requires:       python3-six >= 1.6.1

%description -n python3-cryptography
cryptography is a package designed to expose cryptographic primitives and
recipes to Python developers.


%prep
%setup -q -n cryptography-%{version}

cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!/usr/bin/python|#!%{__python3}|'


%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd


%install
# Actually other *.c and *.h are appropriate
# see https://github.com/pyca/cryptography/issues/1463
find . -name .keep -print -delete

%{__python} setup.py install --skip-build --prefix=%{_prefix} --root %{buildroot}

pushd %{py3dir}
%{__python3} setup.py install --skip-build --prefix=%{_prefix} --root %{buildroot}
popd


%check
%{__python} setup.py test

pushd %{py3dir}
%{__python3} setup.py test
popd


%files
%doc LICENSE LICENSE.APACHE LICENSE.BSD README.rst docs
%{python_sitearch}/*


%files -n python3-cryptography
%doc LICENSE LICENSE.APACHE LICENSE.BSD README.rst docs
%{python3_sitearch}/*



%changelog
* Sat Nov 14 2015 philippem <philippem> 1.0.2-1.mga5
+ Revision: 903128
- change BR to pkgconfig(libffi)
- add BR devel(libffi)
- update to 1.0.2 to fix security issue mga#17144

* Sun Mar 08 2015 philippem <philippem> 0.7.2-1.mga5
+ Revision: 818107
- imported package python-cryptography

